#
# spec file for package perl-Text-Reform
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Text-Reform
%define cpan_name Text-Reform
Summary:        Manual text wrapping and reformatting
Version:        1.20
Release:        29.1
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Reform/
#Source:         http://www.cpan.org/modules/by-module/Text/Text-Reform-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl-macros
BuildRequires:  perl(Exporter)
Requires:       perl(Exporter)

%description
The module supplies a re-entrant, highly configurable replacement
for the built-in Perl format() mechanism.

Author:
-------
        Damian Conway <damian@conway.org>

%prep
%setup -q -n %{cpan_name}-%{version}
#rpmlint: wrong-script-end-of-line-encoding
find -type f -exec %{__perl} -p -i -e "s|\r\n|\n|" {} \;

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes demo README

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 27 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sun Dec 13 2009 chris@computersalat.de
- update to 1.20
  - reform.t ported to Test::More
  - Better prereqs
  - Buggy support of locale removed
- 1.12.0  Sun Sep 30 04:51:21 2007
  - Added &columns to export list (thanks Bob)
  - Fixed doc buglets (thanks Mike)
  - Removed use of 'our' to preserve 5.005 compatibility
  - Fixed shebang lines in demos
  - Added WINDOWS_PATCH to patch around apparent bug in POSIX::strtod
    under Windows (thanks Torsten)
  - Added 'except' option to break_at() (thanks Bron)
  - Changed to dual licensing for Fedora compatibility
- cleanup spec
  * added header
  * sort tags
  * added cpan_name
  * updated Url
  * bz2 source
  * added provides
  * moved changelog to .changes
- removed obsolete patch Text-Reform-1.11-perl_path.diff
- added perl-macros
  * perl_gen_filelist
- rpmlint
  * added PreReq dos2unix
    wrong-file-end-of-line-encoding
* Mon Aug 10 2009 coolo@novell.com
- initial package from devel:languages:perl
* Fri Oct 31 2008 rbos@opensuse.org
- fixed rpmlint errors
* Fri Mar 16 2007 suse-tux@gmx.de
- fixed BuildRequires
* Sat Jun 10 2006 suse-tux@gmx.de
- initial build 1.11
